Bug 63992 - AxKit segfaults on HP-UX 11.00
AxKit segfaults on HP-UX 11.00
Status: CLOSED NOTABUG
Product: Stronghold Cross Platform
Classification: Retired
Component: perl-xml-modules (Show other bugs)
4.0
parisc11 Linux
high Severity high
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-23 09:15 EDT by Joe Orton
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-24 08:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-04-23 09:15:54 EDT
Description of Problem:
On one HP-UX 11.00 machine, AxKit 1.5.1 segfaults when serving the example pages.

Version-Release number of selected component (if applicable):
axkit-1.5.1

How Reproducible:
Only reproducible after upgrading to axkit-1.5.1, perl-xml-modules-5.6.1-1,
perl-Apache-Request-1.0-1.

Steps to Reproduce:
1. install 4.0 beta
2. upgrade libxml, libxslt to 2.4.18-1, 1.0.14-1
3. upgrade to perl-xml-mods 5.6.1, axkit 1.5.1, perl-Apache-Request-1.0-1
Comment 1 Joe Orton 2002-04-24 08:59:42 EDT
The backtrace leads to Zlib.sl (Compress::ZLib) in perl-xml-modules; the
segfault is not reproducible when either:

- adding "AxNoCache On" to conf/axkit.conf
- using the Zlib.sl from the perl-xml-modules-5.6.0-7 (from the beta release)
- rebuilding Zlib.sl against zlib-1.1.3

The other difference between the beta release and HEAD is that -O2 is used in
HEAD.  This is suspected to be a compiler optimisation bug; currently
investigating use of a newer gcc release.

Comment 2 Joe Orton 2002-04-24 15:49:25 EDT
After upgrading from gcc 2.95.2 to 3.0.4, and rebuilding rpm-utils (zlib),
libxml, libxslt, and perl-xml-modules, this problem is no longer reproducible.

Note You need to log in before you can comment on or make changes to this bug.